#ifndef KRY_PROCESS_MUTEX_H
#define KRY_PROCESS_MUTEX_H

namespace kry
{
	namespace Process
	{
		class Mutex
		{
		public:
			Mutex();
			Mutex(const Mutex& From);
			Mutex& operator=(const Mutex& From);
			~Mutex();

			bool lock() const;
			bool unlock() const;

		private:
			void* mutex;
		};
	}
}

#endif