#ifndef KRY_SYSTEM_CLIPBOARD_H
#define KRY_SYSTEM_CLIPBOARD_H

#include "Utilities\StringTypes.h"
#include <vector>

namespace kry
{
	namespace System
	{
		/** #TODO(refactor) not so happy with this. im thinkin a class that wraps clipboard stuff that can be inherited for better control over how to read/write clipboard 
			data, especially across processes (lets you add things like headers, etc.)
		*/
		void writeCliboardData(const Util::String& formatName, const char* data, unsigned size);
		void writeClipboardText(const Util::String& data);
		std::vector<char> getClipboardData(const Util::String& formatName, unsigned size);
		Util::String getClipboardText();
		void clearClipboard();
	}
}

#endif
