#ifndef KRY_UTILITIES_LOGGER_H
#define KRY_UTILITIES_LOGGER_H

#include "StringTypes.h"
#include <ostream>

namespace kry
{
	namespace Util
	{
		class Exception;

		class Logger
		{
			public:
				static void setOutputStream(std::ostream& stream);
				static void log(const String& message);
				static void log(const Exception& exception);
				static String getDateTime();

			private:
				static std::ostream* output;
		};
	}
}

#endif
