#include "Process\Mutex.h"
#include <Windows.h>

namespace kry
{
	namespace Process
	{
		Mutex::Mutex()
		{
			mutex = CreateMutex(0, false, 0);
		}

		Mutex::Mutex(const Mutex& From)
		{
			mutex = CreateMutex(0, false, 0);
		}

		Mutex& Mutex::operator=(const Mutex& From)
		{
			mutex = CreateMutex(0, false, 0);
			return *this;
		}

		Mutex::~Mutex()
		{
			CloseHandle(mutex);
		}

		bool Mutex::lock() const
		{
			return (WaitForSingleObject(mutex, INFINITE) == WAIT_OBJECT_0);
		}

		bool Mutex::unlock() const
		{
			return (ReleaseMutex(mutex) != FALSE);
		}
	}
}