#include "Utilities\ErrorMessage.h"
#include "Utilities\BasicString.h"
#include <Windows.h>

namespace kry
{
	namespace Util
	{
		String parseWinError(int errorcode, bool nosuccess)
		{
			if (nosuccess && (errorcode == ERROR_SUCCESS))
				return String("Unknown error.");

			char msg[256]{0};
			FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM, nullptr, errorcode, MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), msg, sizeof(msg) - 1, nullptr);

			return String(msg, strlen(msg));
		}
	}
}
