#ifndef KRY_UTILITIES_RANDOM_H
#define KRY_UTILITIES_RANDOM_H

#include <random>
#include "Utilities\StringTypes.h"

namespace kry
{
	namespace Util
	{
		class Random
		{
		public:
			Random();
			Random(unsigned long Seed);
			Random(String Seed);
			void reSeed(unsigned long Seed);
			void reSeed(const String& Seed);
			int randomInt(int Min, int Max);
			float randomFloat(float Min, float Max);
			String randomString(unsigned Size, int Min, int Max);

		private:
			std::mt19937 engine;
		};
	}
}

#endif
