#ifndef KRY_UTILITIES_TIMER_H
#define KRY_UTILITIES_TIMER_H

namespace kry
{
	namespace Util
	{
		class Timer
		{
		public:
			Timer();
			Timer(double Duration);
			void setDuration(double Duration);
			double getDuration();
			bool elapsed();
			double delta();
			double milliseconds();
			double seconds();
			double minutes();
			double hours();

		private:
			void init();
			long long start;
			double frequency;
			double duration;
			double _delta;
		};
	}
}

#endif