#ifndef KRY_UTILITIES_VECTORTYPES_H
#define KRY_UTILITIES_VECTORTYPES_H

#include "BasicVector.h"

namespace kry
{
	namespace Util
	{
		template<typename VectorType, unsigned VectorSize>
		struct Vector;

		typedef Vector<int, 2> Vector2i;
		typedef Vector<int, 3> Vector3i;
		typedef Vector<int, 4> Vector4i;
		typedef Vector<float, 2> Vector2f;
		typedef Vector<float, 3> Vector3f;
		typedef Vector<float, 4> Vector4f;
	}
}

#endif